Draft Ruota

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Rotate and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Move.svg Sposta Pagina precedente:
Pagina successiva: Offset Draft Offset.svg Arrow-right.svg

Draft Rotate.svg Ruota

Posizione nel menu
Draft → Ruota
Ambiente
Draft, Architettura
Avvio veloce
R O
Introdotto nella versione
0.7
Vedere anche
Sposta, Schiera


Descrizione

Questo strumento ruota o copia e ruota gli oggetti selezionati di un determinato angolo attorno a un punto di riferimento.

Lo strumento Ruota può essere utilizzato su forme 2D create con Draft o Schizzo, ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o Arch.

Per spostare senza rotazione, usare Sposta. Per produrre varie copie in diverse disposizioni utilizzare Schiera, Copie su tracciato e Copie su punti.

Draft Rotate example.jpg

Rotazione di un oggetto usando un punto di riferimento, da un angolo di riferimento a un altro angolo


Utilizzo

  1. Selezionare gli oggetti che si desidera ruotare o copiare
  2. Premere il pulsante Draft Rotate.svg Ruota, or press premere i tasi R e poi O. Se nessun oggetto è selezionato, si viene inviti a selezionarne uno.
  3. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate e premere il pulsante Draft AddPoint.svg Aggiungi punto. Questo punto serve da punto base dell'operazione, attraverso il quale passerà l'asse di rotazione.
  4. Fare clic su un secondo punto nella vista 3D o digitare un angolo base. Questo definisce una linea di base che ruoterà attorno al primo punto.
  5. Fare clic su un terzo punto nella vista 3D o digitare un angolo di rotazione. Questo indica la rotazione della linea di base, e quindi degli oggetti.

Limitazioni

Quando si vuole ruotare un oggetto basato su uno Schizzo, ad esempio, una funzione creata con PartDesign (Pad, Rivoluzione, etc.) si deve ruotare lo schizzo originale. Altrimenti, se si sposta l'oggetto derivato, esso torna subito nella posizione definita dallo schizzo.

Opzioni

  • Premere X, Y o Z dopo un punto per vincolare il prossimo punto sull'asse dato.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Ruota viene riavviato al termine dell'operazione, consentendo di ruotare o copiare nuovamente gli oggetti senza premere nuovamente il pulsante dello strumento.
  • Premere P oppure fare clic sulla casella di controllo per attivare la modalità Copia. Se la modalità copia è attiva, lo strumento Ruota mantiene la forma originale al suo posto e crea una copia con l'angolo impostato impostato dal terzo punto.
Si possono usare sia T che P per posizionare più copie in sequenza. In questo caso, l'elemento che viene duplicato è l'ultima copia posizionata.
  • Tenere premuto Alt dopo il secondo punto per attivare o disattivare la modalità di copia. Tenendo premuto Alt dopo aver cliccato sul terzo punto, si può continuare a posizionare le copie usando lo stesso punto base di rotazione e la stessa linea di base; rilasciare Alt per terminare l'operazione e vedere tutte le copie.
  • Tenere premuto Ctrl mentre si ruota per forzare lo snap al punto di aggancio più vicino, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si ruota per vincolare il secondo punto in orizzontale o in verticale rispetto al primo.
  • Premere il pulsante Esc o Chiudi per interrompere il comando corrente; le copie già posizionate rimangono.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Ruota può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

rotatedlist = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • Ruota il punto base degli oggetti della objectlist di un dato angle.
    • objectlist può essere un singolo oggetto o un elenco di oggetti.
    • Se sono dati un punto base di rotazione (center), e un axis, essi sono usati; altrimenti la rotazione è basata sull'origine e attorno all'asse Z.
L'angolo di rotazione è relativo al punto base dell'oggetto, il che significa che se un oggetto viene ruotato di 45 gradi e poi di altri 45 gradi, in totale ruota di 90 gradi dalla sua posizione originale.
  • Se copy è True vengono create delle copie invece di ruotare gli oggetti originali.
  • Viene restituita una rotatedlist con gli oggetti originali ruotati o con le nuove copie.
    • rotatedlist è un singolo oggetto o un elenco di oggetti, a seconda dell'input di objectlist.

Esempio:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=500)
Draft.move(Polygon1, FreeCAD.Vector(1500, 0, 0))

Draft.rotate(Polygon1, 45)

# Rotation around the origin
angle1 = 63
rot2 = Draft.rotate(Polygon1, angle1, copy=True)
rot3 = Draft.rotate(Polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(Polygon1, 4*angle1, copy=True)

Polygon2 = Draft.makePolygon(3, radius=1000)
Polygon3 = Draft.makePolygon(5, radius=500)
Draft.move(Polygon2, FreeCAD.Vector(2000, 0, 0))
Draft.move(Polygon3, FreeCAD.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
c = FreeCAD.Vector(3100, 0, 0)
List2 = [Polygon2, Polygon3]
rot_list2 = Draft.rotate(List2, angle2, center=c, copy=True)
rot_list3 = Draft.rotate(List2, 2*angle2, center=c, copy=True)
rot_list4 = Draft.rotate(List2, 4*angle2, center=c, copy=True)
Arrow-left.svg Draft Move.svg Sposta Pagina precedente:
Pagina successiva: Offset Draft Offset.svg Arrow-right.svg